
INCLUDE	..\COMMONS\Z150ROM.DEF
INCLUDE	..\COMMONS\MSDOS.DEF


EXTRA_ROM_SEG	=	0F000H
CODE	SEGMENT	BYTE PUBLIC

	ASSUME	CS:CODE

BOOTF:

;	Restore the diskette parameters

	MOV	AX,0
	MOV     DS,AX
	MOV     WORD PTR DS:[DISK_PARMS_INTR SHL 2],0EFC7H
	MOV     WORD PTR DS:[DISK_PARMS_INTR SHL 2 + 2],EXTRA_ROM_SEG
	MOV     AX,0
	INT     DISK_IO_INTR

;	Restore the boot interrupt

	MOV     WORD PTR DS:[BOOT_INTR SHL 2],0E6F2H
	MOV     WORD PTR DS:[BOOT_INTR SHL 2 + 2],EXTRA_ROM_SEG

;	Check if a winchester is installed

	MOV     AX,DS:[0102H]		; Check segment of INT 40H
	CMP     AX,0
	JZ      BOOTF1			; No winchester
	MOV     DS:[DISK_IO_INTR SHL 2 + 2],AX	; Need to disable the winchester
	MOV     AX,DS:[0100H]
	MOV     WORD PTR DS:[DISK_IO_INTR SHL 2],AX
	MOV     AX,EXTRA_ROM_SEG
	MOV     DS,AX

;	Set screen to 80x25 alphanumeric

	MOV     BYTE PTR DS:[57H],0
	MOV     AX,3
	INT     VIDEO_IO_INTR

;	Boot a floppy disk

	MOV     DL,0
	INT     BOOT_INTR


BOOTF1:
	INT DOSI_TERM

CODE	ENDS
	END	BOOTF
